# Q10 商品导出工具

这个工具用于从Excel文件中导出商品图片，并按照指定的目录结构存储。

## 使用方法

1. 在程序所在目录放置Excel文件(`.xlsx`格式)
2. 运行程序：
   ```
   npm start
   ```
3. 程序将处理Excel文件，并将图片下载到`goods`目录中

## Excel文件格式要求

- B列：商品文件夹名称
- R列：主图片URL
- S列：详情图片URL(多张图片使用`$$`分隔)

## 目录结构

程序会创建以下目录结构：
```
goods/
  ├── 商品名称1/
  │   ├── 主图片.jpg
  │   └── details/
  │       ├── 详情图片1.jpg
  │       └── 详情图片2.jpg
  └── 商品名称2/
      ├── 主图片.jpg
      └── details/
          ├── 详情图片1.jpg
          └── 详情图片2.jpg
``` 